spring:
  config:
    activate:
      on-profile: dev

  jpa:
    show-sql: false
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        default_batch_fetch_size: 100     # ✅ 성능 - N+1 쿼리 방지
        order_updates: true               # ✅ 성능 - 업데이트 순서 정렬로 데드락 방지
        use_sql_comments: true            # ⚠️ 선택 - SQL에 주석 추가 (디버깅용)

  datasource:
    url: jdbc:postgresql://10.100.0.10:25432/temp
    username: temp
    password: temp123!
    hikari:
      minimum-idle: 10
      maximum-pool-size: 20

jwt:
  secret: "kamco_token_9b71e778-19a3-4c1d-97bf-2d687de17d5b"
  access-token-validity-in-ms: 86400000      # 1일
  refresh-token-validity-in-ms: 604800000    # 7일

token:
  refresh-cookie-name: kamco   # 개발용 쿠키 이름
  refresh-cookie-secure: true   # 로컬 http 테스트면 false



